jQuery(document).ready(function($){

/*------------------------------------------------
                BODY
------------------------------------------------*/
$('body').css({"display":"block"});

/*------------------------------------------------
                LOADER
------------------------------------------------*/

 $('#loader').fadeOut();
 $('#loader-container').fadeOut();

/*------------------------------------------------
                END LOADER
------------------------------------------------*/


/*------------------------------------------------
                MENU
------------------------------------------------*/

$('.main-navigation ul li').click(function() {
    $('.main-navigation ul li').removeClass('current-menu-item');
    $(this).addClass('current-menu-item');
});

$('#sidr-left-top-button').sidr({
    name: 'sidr-left-top',
    timing: 'ease-in-out',
    speed: 500,
    side: 'left',
    source: '.left'
});

$('#sidr-right-top-button').sidr({
    name: 'sidr-right-top',
    timing: 'ease-in-out',
    speed: 500,
    side: 'right',
    source: '.right'
});

$(window).scroll(function() {    
    var scroll = $(window).scrollTop();  
    if (scroll > 250) {
        $(".site-header").addClass("is-sticky");
    }
    else if (scroll > 150) {
        $(".site-header").addClass("translate-header");
    }
    else {
         $(".site-header").removeClass("is-sticky");
         $(".site-header").removeClass("translate-header");
    }
});

/*------------------------------------------------
                END MENU
------------------------------------------------*/


/*------------------------------------------------
                BACK TO TOP
------------------------------------------------*/

 $(window).scroll(function(){
    if ($(this).scrollTop() > 1) {
    $('.backtotop').css({bottom:"25px"});
    } else {
    $('.backtotop').css({bottom:"-100px"});
    }
    });
    $('.backtotop').click(function(){
    $('html, body').animate({scrollTop: '0px'}, 800);
    return false;
});
/*------------------------------------------------
                END BACK TO TOP
------------------------------------------------*/
/*if ($(window).width() < 992 && $(window).width() > 768) {
   $(".site-footer.four-columns .column-wrapper:nth-child(2)").append('<div class="clear"></div>');
}*/

/*------------------------------------------------
                SLICK SLIDER
------------------------------------------------*/
var $a = $('#main-slider .regular').data('effect');

$('#main-slider .regular').slick({
    cssEase: $a
});

$("#recent-classes-slider .regular").slick({
    responsive: [
    {
      breakpoint: 1200,
      settings: {
        slidesToShow: 2,
        slidesToScroll: 1
      }
    },
    {
      breakpoint: 767,
      settings: {
        slidesToShow: 1,
        slidesToScroll: 1
      }
    }
  ]
});

$('#client-testimonial-slider .regular').slick({
});

$('#featured-slider').slick()
/*------------------------------------------------
                END SLICK SLIDER
------------------------------------------------*/

/*------------------------------------------------
                TABS
------------------------------------------------*/
$('ul.tabs li').click(function() {
    var tab_id = $(this).attr('data-tab');

    $('ul.tabs li').removeClass('active');
    $('.tab-content').removeClass('active');

    $(this).addClass('active');
    $("#"+tab_id).addClass('active');
});


$(function() {
    $( ".datepicker" ).datepicker();
});


/*------------------------------------------------
                GALLERY PORTFOLIO
------------------------------------------------*/

var $container = $('.portfolio-wrapper'),
    colWidth = function () {
        var w = $container.width(), 
            columnNum = 1,
            columnWidth = 0;
        if (w > 1200) {
            columnNum  = 4;
        } 
        else if (w > 900) {
            columnNum  = 4;
        } 
        else if (w > 600) {
            columnNum  = 3;
        } 
        else if (w > 300) {
            columnNum  = 2;
        }
        columnWidth = Math.floor(w/columnNum);
        $container.find('.portfolio-item').each(function() {
            var $item = $(this),
                multiplier_w = $item.attr('class').match(/item-w(\d)/),
                multiplier_h = $item.attr('class').match(/item-h(\d)/),
                width = multiplier_w ? columnWidth*multiplier_w[1]-0 : columnWidth-5,
                height = multiplier_h ? columnWidth*multiplier_h[1]*1-5 : columnWidth*0.5-5;
            $item.css({
                width: width,
                height: height
            });
        });
        return columnWidth;
    }
                
    function refreshWaypoints() {
        setTimeout(function() {
        }, 1000);   
    }
                
    $('nav.portfolio-filter ul a').on('click', function() {
        var selector = $(this).attr('data-filter');
        $container.isotope({ filter: selector }, refreshWaypoints());
        $('nav.portfolio-filter ul li').removeClass('active');
        $(this).parent().addClass('active');
        return false;
    });

    isotope = function () {
        $container.isotope({
            resizable: true,
            itemSelector: '.portfolio-item',
            layoutMode : 'masonry',
            gutter: 20,
            masonry: {
                columnWidth: colWidth(),
                gutterWidth: 20
            }
        });
    };
isotope();


var $blogcontainer = $('.blog-portfolio'),
    colWidth = function () {
        var w = $blogcontainer.width(), 
            columnNum = 1,
            columnWidth = 0;
        if (w > 1200) {
            columnNum  = 2;
        } 
        else if (w > 700) {
            columnNum  = 2;
        } 
        else if (w > 300) {
            columnNum  = 1;
        }
        columnWidth = Math.floor(w/columnNum);
        $blogcontainer.find('.blog-item').each(function() {
            var $item = $(this),
                multiplier_w = $item.attr('class').match(/item-w(\d)/),
                multiplier_h = $item.attr('class').match(/item-h(\d)/),
                width = multiplier_w ? columnWidth*multiplier_w[1]-0 : columnWidth-5,
                height = multiplier_h ? columnWidth*multiplier_h[1]*1-5 : columnWidth*0.5-5;
            $item.css({
                width: width,
                height: height
            });
        });
        return columnWidth;
    }
                
    function refreshWaypoints() {
        setTimeout(function() {
        }, 1000);   
    }
                
    $('nav.portfolio-filter ul a').on('click', function() {
        var selector = $(this).attr('data-filter');
        $blogcontainer.isotope({ filter: selector }, refreshWaypoints());
        $('nav.portfolio-filter ul li').removeClass('active');
        $(this).parent().addClass('active');
        return false;
    });

    isotope = function () {
        $blogcontainer.isotope({
            resizable: true,
            itemSelector: '.blog-item',
            layoutMode : 'masonry',
            gutter: 20,
            masonry: {
                columnWidth: colWidth(),
                gutterWidth: 20
            }
        });
    };
isotope();

/*------------------------------------------------
                END GALLERY PORTFOLIO
------------------------------------------------*/


/*------------------------------------------------
             COUNTER
------------------------------------------------*/

function count($this){
    var current = parseInt($this.html(), 10);
    current = current + 1; /* Where 50 is increment */
    $this.html(++current);
    if(current > $this.data('count')){
        $this.html($this.data('count'));
    } 
    else {    
        setTimeout(function(){count($this)}, 5);
    }
}        
    
$(".stat-count").each(function() {
    $(this).data('count', parseInt($(this).html(), 10));
    $(this).html('0');
    count($(this));
});

/*------------------------------------------------
                END COUNTER
------------------------------------------------*/

/*------------------------------------------------
                SECTIONS
------------------------------------------------*/
if($("#info-text").hasClass("section-removed")) {
    $("#info-text").removeClass("no-padding-bottom");
}




/*--------------------------------------------------------
                COLOR, BOXED LAYOUT AND FONT SWITCHER
----------------------------------------------------------*/
$('.color-switcher .switch-colors li').click(function(){
    $('.color-switcher .switch-colors li').removeClass('active');
    $(this).addClass('active');
});

$("#green" ).click(function(){
    $("#color" ).attr("href", "assets/colors/green.css");
});

$("#yellow" ).click(function(){
    $("#color" ).attr("href", "assets/colors/yellow.css");
});

$("#black" ).click(function(){
    $("#color" ).attr("href", "assets/colors/black.css");
});

$("#blue" ).click(function(){
    $("#color" ).attr("href", "assets/colors/blue.css");
});

$("#red" ).click(function(){
    $("#color" ).attr("href", "assets/colors/red.css");
});

$(".picker_close").click(function(){  
    $("#choose_color").toggleClass("position");
});

$('.boxed').click(function() {
    $('body').addClass('boxed');
});

$('.wide').click(function() {
    $('body').removeClass('boxed');
    $('body').addClass('wide');
});


$('.font-family li').click(function() {
    $('.font-family li').removeClass('active');
    $(this).addClass('active');
});

$('.courgette').click(function() {
    if  ($('body').hasClass('montserrat') || 
        $('body').hasClass('raleway') ||
        $('body').hasClass('roboto') || 
        $('body').hasClass('poppins'))
    {
        $('body').removeClass('montserrat raleway roboto poppins');
    }
    $('body').addClass('courgette');
});
$('.montserrat').click(function() {
    if  ($('body').hasClass('courgette') || 
        $('body').hasClass('raleway') ||
        $('body').hasClass('roboto') || 
        $('body').hasClass('poppins'))
    {
        $('body').removeClass('courgette raleway roboto poppins');
    }
    $('body').addClass('montserrat');
});
$('.raleway').click(function() {
    if  ($('body').hasClass('courgette') || 
        $('body').hasClass('montserrat') ||
        $('body').hasClass('roboto') || 
        $('body').hasClass('poppins'))
    {
        $('body').removeClass('courgette montserrat roboto poppins');
    }
    $('body').addClass('raleway');
});
$('.roboto').click(function() {
    if  ($('body').hasClass('courgette') || 
        $('body').hasClass('montserrat') ||
        $('body').hasClass('raleway') || 
        $('body').hasClass('poppins'))
    {
        $('body').removeClass('courgette montserrat raleway poppins');
    }
    $('body').addClass('roboto');
});
$('.poppins').click(function() {
    if  ($('body').hasClass('courgette') || 
        $('body').hasClass('montserrat') ||
        $('body').hasClass('raleway') || 
        $('body').hasClass('roboto'))
    {
        $('body').removeClass('courgette montserrat raleway roboto');
    }
    $('body').addClass('poppins');
});
$('.archive.woocommerce ul.products').removeClass('columns-4');
 $('.archive.woocommerce ul.products').addClass('columns-3');

/*--------------------------------------------------------------------
                END COLOR, BOXED LAYOUT AND FONT SWITCHER
---------------------------------------------------------------------*/


});

/*------------------------------------------------
            END JQUERY
------------------------------------------------*/


